import { number } from '@amcharts/amcharts4/core'
import { padStart } from 'lodash'

/**
 * 补足数字位数
 * @param digit 数字
 * @param len 位数
 */
export const fillDigit = (digit: number, len: number) => {
  return padStart('' + digit, len, '0')
}

/**
 * 判断设备
 */
export const isPC = () => {
  return !navigator.userAgent.match(/(iPhone|iPod|iPad|Android|Mobile|BlackBerry|Symbian|Windows Phone)/i)
}

export const query = (url?:string)=>{
  url = url??location.href
  if(url.indexOf(process.env.VUE_APP_SHARE_URL)!=-1){
    let str = url.substr(url.indexOf('?') + 1)
    let json = {
      SalesTripId: str.slice(2)
    } as any
    return json
  }else{
    let str = url.substr(url.indexOf('?') + 1)
    let json = {} as any
    const arr = str.split('&')
    for(let i = 0; i < arr.length; i++) {
      let item = arr[i].split('=')
      json[item[0]] = item[1]
    }
    return json
  }
  
}

/**
 * 提取字符串中的文字
 */
export const getHtmlPlainText = (html_str:string) => {
  let re = new RegExp('<[^<>]+>', 'g')
  if (html_str) {
    let text = html_str.replace(re, '')
    return text
  } else {
    return ''
  }
}

// 计算距离当前多少天
export const getDaysBetween = (date1:any, date2:any) => {
  const ONE_DAY = 1000 * 60 * 60 * 24; // 一天的毫秒数
  const date1Time = date1.getTime(); // 获取时间戳
  const date2Time = date2.getTime();

  const difference = Math.abs(date1Time - date2Time); // 获取时间差
  return Math.round(difference / ONE_DAY); // 两个日期之间的天数
}